Bug 185514 - Builders inactive at startup aren't periodically pinged
Builders inactive at startup aren't periodically pinged
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-15 08:38 EST by Dan Williams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-19 23:17:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2006-03-15 08:38:57 EST
If a builder is inactive when the server is started, plague doesn't periodically
ping that builder in an attempt to reactivate it.

Need to copy some of the logic from Builder.py:_handle_builder_suspend() to
__init__ if the builder isn't active on the first ping.
Comment 1 Dan Williams 2006-03-19 23:17:01 EST
fixed in HEAD and STABLE4

Note You need to log in before you can comment on or make changes to this bug.